unit Childwin;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, Messages,
  ExtCtrls, Buttons;

type
  TMDIChild = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    Edit1: TEdit;
    BitBtn1: TBitBtn;
    Shape1: TShape;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }

    {---------------------------------------------------------}
    procedure WMPaint(var Message: TWMPaint); message WM_PAINT;
    procedure WMMove(var Message: TWMMove); message WM_MOVE;
    {---------------------------------------------------------}

  public
    { Public declarations }
  end;

implementation

uses Main;

{$R *.DFM}

{---------------------------------------------------------------}
procedure TMDIChild.WMPaint(var Message: TWMPaint);
begin
  inherited;
  PaintWithDesktop(self);
end;

procedure TMDIChild.WMMove(var Message: TWMMove);
begin
  inherited;
  PaintWithDesktop(self);
end;
{---------------------------------------------------------------}


procedure TMDIChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

end.
